com.mapinfo.midev.language.filter

## Interface IFilterCapability

All Known Implementing Classes:
  AttributeFilterCapability, BetweenFilterCapability, DistanceFilterCapability, DistanceToEdgeFilterCapability, EnvelopeFilterCapability, GeometryFilterCapability, InListFilterCapability, IsNullFilterCapability, KeyFilterCapability, LikeFilterCapability, LimitFilterCapability, LogicalFilterCapability, MixedSpatialAndNonSpatialFilterCapability, NearestFilterCapability, OffsetFilterCapability, OrderByFilterCapability

    public interface IFilterCapability

Base interface for all filter language capability metadata.

See Also:
  `FilterLanguage`, `FilterSearch`, `FilterCapabilities`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isSupported(IFilterCapability desiredCapability)` Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

### Method Detail

#### isSupported

    boolean isSupported(IFilterCapability desiredCapability)

Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

Parameters:
  `desiredCapability` - the desired `IFilterCapability` to check support of.
Returns:
  `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.